Subject: lz4: Build time tests are no longer run

From: Adrian Bunk <[email-masked]>
Date: Tue, 23 Jul 2024 13:41:45 +0300

Source: lz4
Version: 1.9.4-3
Severity: important

1.9.4-2:
https://buildd.debian.org/status/fetch.php?pkg=lz4&arch=amd64&ver=1.9.4-2&stamp=1712114462&raw=0

...
   debian/rules override_dh_auto_test
make[1]: Entering directory '/<<PKGBUILDDIR>>'
make test
make[2]: Entering directory '/<<PKGBUILDDIR>>'
make[3]: Entering directory '/<<PKGBUILDDIR>>/tests'
#make -C ../programs lz4 CFLAGS="-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/<<PKGBUILDDIR>>=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 -DLZ4F_PUBLISH_STATIC_FUNCTIONS -Wall -Wextra -Wundef -Wcast-qual -Wcast-align -Wshadow -Wswitch-enum -Wdeclaration-after-statement -Wstrict-prototypes -Wpointer-arith -Wstrict-aliasing=1 -g -DLZ4_DEBUG=1 "
cc -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/<<PKGBUILDDIR>>=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 -DLZ4F_PUBLISH_STATIC_FUNCTIONS -Wall -Wextra -Wundef -Wcast-qual -Wcast-align -Wshadow -Wswitch-enum -Wdeclaration-after-statement -Wstrict-prototypes -Wpointer-arith -Wstrict-aliasing=1 -g -DLZ4_DEBUG=1  -Wdate-time -D_FORTIFY_SOURCE=2 -DLZ4F_PUBLISH_STATIC_FUNCTIONS -I../lib -I../programs -DXXH_NAMESPACE=LZ4_ -Wl,-z,relro -I../programs ../programs/datagen.c datagencli.c -o datagen
ln -sf ../programs/lz4 ../programs/unlz4
ln -sf ../programs/lz4 ../programs/lz4cat
...
 ---- test lz4 basic compression/decompression ----
./datagen -g0       | ../programs/lz4 -v     | ../programs/lz4 -t
*** LZ4 command line interface 64-bits v1.9.4, by Yann Collet ***
...

1.9.4-3:
https://buildd.debian.org/status/fetch.php?pkg=lz4&arch=amd64&ver=1.9.4-3&stamp=1721704378&raw=0

...
   dh_auto_test -a -O--buildsystem=cmake
   create-stamp debian/debhelper-build-stamp
   dh_testroot -a -O--buildsystem=cmake
...